summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/ebuild.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 1402f71a4..26bd235e8 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -395,7 +395,7 @@ unpack() {
tgz)
tar xzf "${srcdir}${x}" ${tarvars} || die "$myfail"
;;
- tbz2)
+ tbz|tbz2)
bzip2 -dc "${srcdir}${x}" | tar xf - ${tarvars}
assert "$myfail"
;;
@@ -423,6 +423,9 @@ unpack() {
LHa|LHA|lha|lzh)
lha xqf "${srcdir}/${x}" || die "$myfail"
;;
+ a|deb)
+ ar x "${srcdir}/${x}" || die "$myfail"
+ ;;
*)
echo "unpack ${x}: file format not recognized. Ignoring."
;;